> For the complete documentation index, see [llms.txt](https://docs.ak4y.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ak4y.com/scripts/ak4y-drone/installation.md).

# Installation

{% hint style="warning" %}
This script requires ak4y-core to work. Please download it from your portal (cfxre, keymaster).
{% endhint %}

### qb-core items

```lua
basic_drone                     = { name = 'basic_drone', label = 'Basic Drone', weight = 100, type = 'item', image = 'basic_drone.png', unique = true, useable = true, shouldClose = true, description = '' },
regular_drone                     = { name = 'regular_drone', label = 'Regular Drone', weight = 100, type = 'item', image = 'regular_drone.png', unique = true, useable = true, shouldClose = true, description = '' },
upgraded_drone                     = { name = 'upgraded_drone', label = 'Upgraded Drone', weight = 100, type = 'item', image = 'upgraded_drone.png', unique = true, useable = true, shouldClose = true, description = '' },
police_drone                     = { name = 'police_drone', label = 'Police Drone', weight = 100, type = 'item', image = 'police_drone.png', unique = true, useable = true, shouldClose = true, description = '' },
tazer_kit                     = { name = 'tazer_kit', label = 'Tazer Kit', weight = 100, type = 'item', image = 'tazer_kit.png', unique = true, useable = true, shouldClose = true, description = '' },
infrance_kit                     = { name = 'infrance_kit', label = 'Infrance Kit', weight = 100, type = 'item', image = 'infrance_kit.png', unique = true, useable = true, shouldClose = true, description = '' },
nightvision_kit                     = { name = 'nightvision_kit', label = 'Night Vision Kit', weight = 100, type = 'item', image = 'nightvision_kit.png', unique = true, useable = true, shouldClose = true, description = '' },
keyscan_kit                     = { name = 'keyscan_kit', label = 'KeyScan Kit', weight = 100, type = 'item', image = 'keyscan_kit.png', unique = true, useable = true, shouldClose = true, description = '' },
explosive_kit                     = { name = 'explosive_kit', label = 'Explosive Kit', weight = 100, type = 'item', image = 'explosive_kit.png', unique = true, useable = true, shouldClose = true, description = '' },
```

### ox\_inventory items

```lua
['basic_drone'] = {
    label = 'Basic Drone',
    stack = false,
    weight = 500,
},
['regular_drone'] = {
    label = 'Regular Drone',
    stack = false,
    weight = 500,
},
['upgraded_drone'] = {
    label = 'Upgraded Drone',
    stack = false,
    weight = 500,
},
['police_drone'] = {
    label = 'Police Drone',
    stack = false,
    weight = 1000,
},

['tazer_kit'] = {
    label = 'Drone Tazer Kit',
    stack = false,
    weight = 1000,
},
['infrance_kit'] = {
    label = 'Drone Infrance Kit',
    stack = false,
    weight = 1000,
},
['nightvision_kit'] = {
    label = 'Drone Infrance Kit',
    stack = false,
    weight = 1000,
},
['keyscan_kit'] = {
    label = 'Drone KeyScan Kit',
    stack = false,
    weight = 1000,
},
['explosive_kit'] = {
    label = 'Drone Explosive Kit',
    stack = false,
    weight = 1000,
},
```

### esx items

```sql
INSERT INTO items (name, label, weight, rare, can_remove) VALUES
('basic_drone', 'Basic Drone', 500, 0, 1),
('regular_drone', 'Regular Drone', 500, 0, 1),
('upgraded_drone', 'Upgraded Drone', 500, 0, 1),
('police_drone', 'Police Drone', 1000, 0, 1),
('tazer_kit', 'Drone Tazer Kit', 1000, 0, 1),
('infrance_kit', 'Drone Infrance Kit', 1000, 0, 1),
('nightvision_kit', 'Drone Infrance Kit', 1000, 0, 1),
('keyscan_kit', 'Drone KeyScan Kit', 1000, 0, 1),
('explosive_kit', 'Drone Explosive Kit', 1000, 0, 1);
```

### Installation

1. Unzip the downloaded file.
2. Move the script file to your resources folder.
3. Read the .sql file in the file to the database.
4. Configure the script to your own specifications.
5. Do not forget add your items for your inventory and framework specifics.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ak4y.com/scripts/ak4y-drone/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
